Extending Qt Creator Manual | OutputPanePlaceHolder

Extending Qt Creator Manual 4.5.2

# OutputPanePlaceHolder Class

(Core::OutputPanePlaceHolder)

- List of all members, including inherited members

## Public Functions

| OutputPanePlaceHolder(Id mode, QSplitter *parent = 0)
| ~OutputPanePlaceHolder()
void | ensureSizeHintAsMinimum()
bool | isMaximized() const
int | nonMaximizedSize() const
void | setMaximized(bool maximize)

## Static Public Members

OutputPanePlaceHolder * | getCurrent()
bool | isCurrentVisible()

## Protected Functions

void | resizeEvent(QResizeEvent *event)
void | showEvent(QShowEvent *)

## Member Function Documentation

### OutputPanePlaceHolder::OutputPanePlaceHolder(Id mode, QSplitter *parent = 0)

Default constructs an instance of OutputPanePlaceHolder.

### OutputPanePlaceHolder::~OutputPanePlaceHolder()

Destroys the instance of OutputPanePlaceHolder.

### void OutputPanePlaceHolder::ensureSizeHintAsMinimum()

### `[static]` OutputPanePlaceHolder *OutputPanePlaceHolder::getCurrent()

### `[static]` bool OutputPanePlaceHolder::isCurrentVisible()

### bool OutputPanePlaceHolder::isMaximized() const

### int OutputPanePlaceHolder::nonMaximizedSize() const

### `[protected]` void OutputPanePlaceHolder::resizeEvent(QResizeEvent *event)

### void OutputPanePlaceHolder::setMaximized(bool maximize)

See also isMaximized().

### `[protected]` void OutputPanePlaceHolder::showEvent(QShowEvent *)